session-blob-attachments
Operations of the Interactive Session API. Paths are relative to your deployment's API host.
GET /api/agent-session-api/sessions/{id}/attachments/blob-manifest
List uploaded-file attachments for a session with per-row SAS download URLs (mount-apply manifest)
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes | Session id |
| Status | Description | Body |
|---|---|---|
| 200 | application/json SessionBlobAttachmentDtoDataArrayEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |